/* This code is distributed under the terms of Gnu Publice License */
/* The author is Przemek Borys <pborys@dione.ids.pl> */
#ifndef UTILS_H
#define UTILS_H

#include "variables.h"

char *preparse (char *txt);	/* make the text formatting nice,
				   and create a dynamic array */
char *findClosingBrace (char *txt);	/* find the closing brace of cmds
					   like frac{}, sqrt{}, etc. */
struct Tgraph *newChild (struct Tgraph *graph);		/* add new child to the
							   tree, and return a pointer
							   to this child */
char *getbegin_endEnd (char *txt);	/* similar to findClosingBrace, but
					   works with \begin{} \end{} pairs. */

#endif
